<?php 
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());

$listaetapas ="SELECT p.proyecto, etapa, res_rec_municipal, fec_rec_municipal, ee.edificio, te.num_pisos, num_subterraneos
			FROM $itodos.tbl_etapaxproyecto e
			INNER JOIN $itodos.tbl_proyecto p ON p.id_proyecto = e.id_proyecto
			INNER JOIN $itodos.tbl_edificioxetapaxproyecto ee ON ee.id_etapa = e.id_etapa
			INNER JOIN $itodos.tbl_tipo_edificioxproyecto te ON te.id_tip_edificio = ee.id_tip_edificio
			WHERE estado =1 and  p.id_proyecto =  22 OR
					p.id_proyecto =  3 
					or p.id_proyecto = 4  
				    OR p.id_proyecto =  9 
					or p.id_proyecto = 15	
					or p.id_proyecto = 20	
					or p.id_proyecto = 21
					OR p.id_proyecto =  22 
					or p.id_proyecto = 23 
					OR p.id_proyecto =  29
					or p.id_proyecto = 35	
					or p.id_proyecto = 36	
					or p.id_proyecto = 37	 
					or p.id_proyecto =38 
					or  p.id_proyecto =39 
					or p.id_proyecto = 42
					or p.id_proyecto = 43
				    or p.id_proyecto = 40
					or p.id_proyecto = 45	
					or p.id_proyecto = 46	
					or p.id_proyecto = 	47
					or p.id_proyecto = 	48
					or p.id_proyecto = 50
					or p.id_proyecto = 63
					or p.id_proyecto = 49
					or p.id_proyecto = 55
					or p.id_proyecto = 66
					or p.id_proyecto = 54";

$resultado = mysql_query($listaetapas,$conexion2); 	
	if(mysql_num_rows($resultado)> 0){
		while($fila = mysql_fetch_array($resultado)){
			  $etapa = $fila['etapa'];
  			  $proyecto = $fila['proyecto'];
  			  //VARIABLES BUSCAR MODELO CONSTRUCCION
  			  $abreviatura = $fila['edificio'];
  			  $num_pisos = $fila['num_pisos'];
  			  $num_subterraneos = $fila['num_subterraneos'];
  			  $id_etapa =  buscaretapa($proyecto,$etapa,$conexion1);
  			  //UNIDAD CONSTRUCCION EDIFICIO 
			  $unidad_construccion = 1;//SIEMPRE VAN HACER EDIFICIOS AL MENOS QUE CAMBIE HAY QUE CASHAR 
				
			  $id_modelounidaconstruccion = buscarmodelo($abreviatura,$num_pisos,$num_subterraneos,$conexion1);
				
  			  $existediseno = buscaretapadesigner($id_etapa,$unidad_construccion,$id_modelounidaconstruccion,$conexion1);
  			  //if($existediseno == "1"){
  			  	//echo "SE DEBE ACTUALIZAR"."<br>";
  			  //}else{
					$queryinsertdiseño = "INSERT INTO tblconfiguracionetapas(ID_ETAPA,ID_UNIDADCONSTRUCCION, ID_MODELOUNIDADCONSTRUCCION)
											VALUES ('$id_etapa','$unidad_construccion','$id_modelounidaconstruccion')";
					if(mysql_query($queryinsertdiseño,$conexion1)){
					echo "GUARDADO"."<br>";
					}else{
					echo mysql_error();
					} 
  			  //}
  		}
	 }else{
	 	echo "NO TRAE FILAS";
	 }

 function buscaretapadesigner($id_etapa,$unidadcontruccion,$modelocontruccion,$conexion1){
   $resultado = mysql_query("SELECT ce.ID_DISENOETAPA,ce.ID_ETAPA
                                       FROM  pvitls_postventa.tblconfiguracionetapas ce
                                       INNER JOIN pvitls_postventa.tblunidadconstrucciones uc ON uc.ID_UNIDADCONSTRUCCION = ce.ID_UNIDADCONSTRUCCION
                                       INNER JOIN pvitls_postventa.tblmodelounidadconstrucciones mc ON mc.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
                                        WHERE ID_ETAPA = '$id_etapa' 
                                        AND  uc.ID_UNIDADCONSTRUCCION  = '$unidadcontruccion'
                                        AND  mc.ID_MODELOUNIDADCONSTRUCCION = '$modelocontruccion'",$conexion1); 
   	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{

	 	return "0";
	 }

}

function buscaretapa($id_proyecto,$etapa,$conexion1){

$resultado = mysql_query("SELECT e.ID_ETAPA, p.PROYECTO,e.ETAPA
							FROM pvitls_postventa.tbletapas e
							INNER JOIN pvitls_postventa.tblproyectos p ON p.ID_PROYECTO = e.ID_PROYECTO 
							WHERE e.ETAPA = '$etapa' AND p.PROYECTO = '$id_proyecto'",$conexion1); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_ETAPA']; 
	}  

}

function buscarmodelo($abreviatura,$num_pisos,$num_subterraneos,$conexion1){
$resultado = mysql_query("SELECT ID_MODELOUNIDADCONSTRUCCION, ABREVIATURA, SUPERFICIE, NUM_PISOS, NUM_SUBTERRANEOS, CANT_PROPIEDADES
						 FROM pvitls_postventa.tblmodelounidadconstrucciones 
						 WHERE ABREVIATURA='$abreviatura' AND  NUM_PISOS='$num_pisos' AND NUM_SUBTERRANEOS='$num_subterraneos'",$conexion1);


	while( $resultado = mysql_fetch_array($resultado)) { 
   		return $resultado['ID_MODELOUNIDADCONSTRUCCION']; 
	}  

}


?>